<?php

namespace App\ViewModels\Medicamento\MedicamentoRegistrationViewModel;

use App\Utils\Builder;

class MedicamentoRegistrationViewModelBuilder implements Builder {
	protected $nome;
	protected $quantidade;
	protected $posologia;
	protected $id_clinica;

	public function setNome($nome) {

		$this->nome = $nome;
		return $this;

	}

	public function setQuantidade($quantidade) {

		$this->quantidade = $quantidade;
		return $this;

	}

	public function setPosologia($posologia) {

		$this->posologia = $posologia;
		return $this;

	}

	public function setIdClinica($id_clinica) {

		$this->id_clinica = $id_clinica;
		return $this;

	}

	public function build(): MedicamentoRegistrationViewModel {

		$procedimento_registration_vm = new MedicamentoRegistrationViewModel();
		$procedimento_registration_vm->setNome( $this->nome );
		$procedimento_registration_vm->setPosologia( $this->posologia );
		$procedimento_registration_vm->setQuantidade( $this->quantidade );
		$procedimento_registration_vm->setIdClinica( $this->id_clinica );
		return $procedimento_registration_vm;

	}

}